Bug 174559 - Enhancement+Patch: Use mdadm with mkinitrd
Enhancement+Patch: Use mdadm with mkinitrd
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-29 20:46 EST by Gabriel Schulhof
Modified: 2008-03-09 21:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 21:11:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to modify mkinitrd to use mdadm (1.12 KB, patch)
2005-11-29 20:48 EST, Gabriel Schulhof
no flags Details | Diff

  None (edit)
Description Gabriel Schulhof 2005-11-29 20:46:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.12) Gecko/20050929

Description of problem:
This patch causes mkinitrd to add mdadm.static to <initrd>/bin and to have <initrd>/init run mdadm instead of raid0run.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. The initrd doesn't work with RAID1.
2. Patch mkinitrd to use mdadm
3. mkinitrd produces a working initrd.
  

Additional info:
Comment 1 Gabriel Schulhof 2005-11-29 20:48:44 EST
Created attachment 121621 [details]
Patch to modify mkinitrd to use mdadm
Comment 2 Gabriel Schulhof 2005-11-29 20:51:21 EST
s/raid0run/raidautorun/
Comment 3 Peter Jones 2006-02-03 18:13:22 EST
What do you mean by "the initrd doesn't work with RAID1"?  It works fine for me
with raid 1.

Even so, why would we want to add a 700k binary to the initrd as the "solution"?
Comment 4 Gabriel Schulhof 2006-02-03 22:45:43 EST
Well, I tried it with RAID1 and it didn't work until I changed the script to use
mdadm.

You would add a 700k binary because, AFAIK, the tools it currently uses are
deprecated. mdadm is the new standard. Also, mdadm doesn't depend on the RAID
members being detected. They are specified on the command line. Of course I
recognize the flip-side, which is that the mkinitrd won't know how to wake up in
a modified RAID environment.
Comment 5 petrosyan 2008-03-09 21:11:31 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.